This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 262442

Summary: [newcodemodel]AssertionError: Path should be absolute: StringRef{\\VBOXSVR}
Product: cnd Reporter: Alexander Simon <alexvsimon>
Component: Code ModelAssignee: Vladimir Voskresensky <vv159170>
Status: REOPENED ---    
Severity: normal CC: alexvsimon
Priority: P3 Keywords: NO82
Version: 8.2   
Hardware: PC   
OS: Windows 10   
Issue Type: DEFECT Exception Reporter: 224541
Bug Depends on: 269115    
Bug Blocks:    
Attachments: stacktrace
stacktrace
stacktrace

Description Alexander Simon 2016-06-15 11:20:41 UTC
This bug was originally marked as duplicate of bug 254496, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 20160615-f2ec6dfed23c)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.74-b02, Java(TM) SE Runtime Environment, 1.8.0_74-b02
OS: Windows 7

User Comments:
GUEST: Opening NetBeans 8.1 Beta

alexvsimon: open project on network drive




Stacktrace: 
java.lang.AssertionError: Path should be absolute: StringRef{\\VBOXSVR}
   at org.clang.tools.services.impl.PreprocessorInitializer.clearFileCache(PreprocessorInitializer.java:160)
   at org.clang.tools.services.ClankPreprocessorServices.invalidate(ClankPreprocessorServices.java:75)
   at org.netbeans.modules.cnd.apt.impl.support.clank.ClankDriverImpl.invalidateImpl(ClankDriverImpl.java:89)
   at org.netbeans.modules.cnd.apt.impl.support.clank.FileExistsSensitiveClankCacheDriver.invalidateFile(FileExistsSensitiveClankCacheDriver.java:67)
   at org.netbeans.modules.cnd.utils.cache.CndFileUtils$FSListener.invalidateFile(CndFileUtils.java:894)
   at org.netbeans.modules.cnd.utils.cache.CndFileUtils$FSListener.cleanCachesImpl(CndFileUtils.java:906)
Comment 1 Alexander Simon 2016-06-15 11:20:43 UTC
Created attachment 160058 [details]
stacktrace
Comment 2 Alexander Simon 2016-07-14 14:12:54 UTC
Created attachment 160385 [details]
stacktrace

rty to open project
Comment 3 Vladimir Kvashin 2016-07-20 21:08:44 UTC
Alexander, could you provide steps to reproduce? 
I can not reproduce => I can not fix.
I'm marking this as incomplete; I'll do my best to fix this as soon as I know how to reproduce...
Comment 4 Alexander Simon 2016-07-21 03:00:38 UTC
(In reply to Vladimir Kvashin from comment #3)
> Alexander, could you provide steps to reproduce? 
> I can not reproduce => I can not fix.
> I'm marking this as incomplete; I'll do my best to fix this as soon as I
> know how to reproduce...

Steps is easy:
-open project from Network
Comment 5 Vladimir Kvashin 2016-07-21 10:28:29 UTC
I guess you mean that you run IDE on Windows and open a project not from path like "X:\path-to-project...", but "\\VBOXSVR\path-to-project". So it's Windows specific.
Comment 6 Vladimir Kvashin 2016-07-21 10:29:27 UTC
Do you know whether this is a regression caused by new preprocessor or the problem existed previously?
Comment 7 Alexander Simon 2016-07-21 10:33:16 UTC
(In reply to Vladimir Kvashin from comment #6)
> Do you know whether this is a regression caused by new preprocessor or the
> problem existed previously?

I do not know.
Comment 8 Alexander Simon 2016-07-21 10:37:25 UTC
(In reply to Alexander Simon from comment #7)
> (In reply to Vladimir Kvashin from comment #6)
> > Do you know whether this is a regression caused by new preprocessor or the
> > problem existed previously?
> 
> I do not know.

I got this exception when I fixed the bug #258822.
Comment 9 Alexander Simon 2016-08-31 10:51:34 UTC
Created attachment 161842 [details]
stacktrace

delete project
Comment 10 Alexander Simon 2017-03-29 08:15:47 UTC
Bug is reproduced in development build only.